module Redshop
  module CartsHelper
    # get uniq cart id in redis
    def get_cart_id
      "cart_#{session[:guest_id]}"
    end

    def get_cart_count
      # parse count_name from cart_name
      cart_count_name = CartCountService.new("cart_#{session[:guest_id]}").send(:parse_cart_count_name)
      cart_count = $redis.get cart_count_name

      # if cart hasn't got any products(nil) than set 0
      cart_count ? cart_count : 0
    end
  end
end
